CWGraphInternal::ZoneBitmap Struct Reference

Internal: structure to store a bitmap of a CWGraph. More...

Inheritance diagram for CWGraphInternal::ZoneBitmap:

## Public Member Functions

| ZoneBitmap ()
| constructor More...
virtual void | print (std::ostream &o) const
| print the zone More...
virtual Type | getType () const
| return the main type (Bitmap) More...
virtual Type | getSubType () const
| return the subtype (Bitmap) More...
virtual CWStruct::DSET::Child | getChild () const
| return a child corresponding to this zone More...
Public Member Functions inherited from CWGraphInternal::Zone
| Zone ()
| constructor More...
virtual | ~Zone ()
| destructor More...
virtual int | getNumData () const
| return the number of data to define this zone in the file More...

## Public Attributes

int | m_bitmapType
| the bitmap type More...
Vec2i | m_size
| the bitmap size More...
MWAWEntry | m_entry
| the bitmap entry More...
std::vector< MWAWColor > | m_colorMap
| the color map More...
Public Attributes inherited from CWGraphInternal::Zone
int | m_page
| the page (checkme: or frame linked ) More...
Box2i | m_box
| the bdbox More...
Style | m_style
| the style More...

## Additional Inherited Members

Public Types inherited from CWGraphInternal::Zone
enum | Type { T_Zone, T_Basic, T_Picture, T_Chart, T_DataBox, T_Unknown, T_Line, T_Rect, T_RectOval, T_Oval, T_Arc, T_Poly, T_Pict, T_QTim, T_Movie, T_Bitmap }
| the list of types More...

## Detailed Description

Internal: structure to store a bitmap of a CWGraph.

## Constructor & Destructor Documentation

CWGraphInternal::ZoneBitmap::ZoneBitmap | ( |  | ) |

inline

constructor

## Member Function Documentation

virtual CWStruct::DSET::Child CWGraphInternal::ZoneBitmap::getChild | ( |  | ) | const

inline virtual

return a child corresponding to this zone

Reimplemented from CWGraphInternal::Zone.

virtual Type CWGraphInternal::ZoneBitmap::getSubType | ( |  | ) | const

inline virtual

return the subtype (Bitmap)

Reimplemented from CWGraphInternal::Zone.

virtual Type CWGraphInternal::ZoneBitmap::getType | ( |  | ) | const

inline virtual

return the main type (Bitmap)

Reimplemented from CWGraphInternal::Zone.

virtual void CWGraphInternal::ZoneBitmap::print | ( | std::ostream & | o | ) | const

inline virtual

print the zone

Reimplemented from CWGraphInternal::Zone.

## Member Data Documentation

int CWGraphInternal::ZoneBitmap::m_bitmapType

the bitmap type

Referenced by print(), CWGraph::readBitmapData(), and CWGraph::sendBitmap().

std::vector<MWAWColor> CWGraphInternal::ZoneBitmap::m_colorMap

the color map

Referenced by CWGraph::sendBitmap().

MWAWEntry CWGraphInternal::ZoneBitmap::m_entry

the bitmap entry

Referenced by CWGraph::readBitmapData(), and CWGraph::sendBitmap().

Vec2i CWGraphInternal::ZoneBitmap::m_size

the bitmap size

Referenced by print(), CWGraph::readBitmapData(), and CWGraph::sendBitmap().

The documentation for this struct was generated from the following file:

- CWGraph.cxx